> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Offramp Transactions

> This endpoint will return all offramp transactions for the integrator.

Get all offramp transactions for your integrator account with pagination and filtering support.


## OpenAPI

````yaml GET /api/v3/offramp/transactions
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://sandbox-api.kotanipay.io
    description: Sandbox
security: []
tags: []
paths:
  /api/v3/offramp/transactions:
    get:
      tags:
        - OFFRAMP
      summary: Get Integrator Offramp Transactions
      description: This endpoint will return all offramp transactions for the integrator.
      operationId: OffRampController_getIntegratorOfframps_api/v3
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Offramp transactions retrieved
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/OfframpResponseDto'
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Unauthorized
                  data:
                    type: object
                    example: {}
      security:
        - JWT: []
components:
  schemas:
    OfframpResponseDto:
      type: object
      properties:
        referenceId:
          type: string
          description: The reference ID of the onramp crypto transaction
        status:
          type: string
          description: The status of the onramp crypto transaction
        cryptoAmount:
          type: number
          description: The amount of crypto sent
        cryptoAmountReceived:
          type: number
          description: The amount of crypto received
        feeInCrypto:
          type: number
          description: The fee in crypto
        feeType:
          type: string
          description: The type of fee
        cryptoWallet:
          type: string
          description: The ID of the crypto wallet
        chain:
          type: object
          description: The chain of the onramp crypto transaction
        token:
          type: object
          description: The token of the onramp crypto transaction
        transactionHash:
          type: string
          description: Creation timestamp
        updated_at:
          format: date-time
          type: string
          description: Last update timestamp
        onchainError:
          type: object
          description: Onchain error details if the transaction failed
        transactionError:
          type: object
          description: Transaction error details if the transaction failed
      required:
        - referenceId
        - status
        - cryptoAmount
        - cryptoAmountReceived
        - feeInCrypto
        - feeType
        - cryptoWallet
        - chain
        - token
        - transactionHash
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````